package com.alterdekim.game.component.game.avatar;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum BodyPartType {
    Body(3, 202, true, 20, 48),
    Legs(2, 201, true, 10, 47),
    Ears(8, 206, false, 50, 70),
    Eyes(7, 205, false, 30, 58),
    Nose(6, 204, false, 40, 57),
    Mouth(5, 203, false, 26, 56),
    Beak(11, 208, false, 41, 110),
    Horn(12, 209, false, 55, 166),
    Caps(4, 207, false, 45, 21);

    private final int value;
    private final long mediaResourceId;
    private final boolean isShape;
    private final int layerId;
    private final long textResourceId;
}
